=== release 1.24.12 ===

2025-01-29 20:12:29 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.24.12

2025-01-06 20:11:58 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.11

=== release 1.24.11 ===

2025-01-06 19:48:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.24.11

2024-12-03 23:39:54 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.10

=== release 1.24.10 ===

2024-12-03 23:29:07 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.24.10

2024-10-29 15:36:49 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst-libs/gst/video/gssim.c:
	* validate/plugins/ssim/gstvalidatessim.c:
	  validate: Fix leaks in ssim components
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7802>

2024-10-30 20:40:12 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.9

=== release 1.24.9 ===

2024-10-30 20:33:30 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.24.9

2024-10-18 13:53:11 +0200  Edward Hervey <edward@centricular.com>

	* validate/launcher/testsuites/check.py:
	  tests: Blacklist more netsim test
	  They are know to be racy/failing
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/792
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7751>

2024-09-19 12:12:53 +0200  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.8
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7549>

=== release 1.24.8 ===

2024-09-19 12:01:21 +0200  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.24.8

2024-09-09 11:07:48 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	  validate: pad-monitor: Fix remaining pad functions data handling
	  That case was missed in a5717530899836cdc32e17edc8f8e47d2c14420d
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7491>

2024-09-07 08:37:33 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	  validate: pad-monitor: Fix pad function data properly
	  Until now we were overriding pad functions forgetting about the function
	  data (that are set using the _full variant of the functions setters), meaning
	  that the data was lost and any user of that feature would get empty data when
	  the wrapped function were called.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7470>

2024-08-21 12:33:28 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.7

=== release 1.24.7 ===

2024-08-21 12:25:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.24.7

2024-08-09 11:17:01 +0300  Sebastian Dröge <sebastian@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Copy action structure before retrieving strings from it
	  The returned strings are only valid for as long as the structure is valid.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7334>

2024-08-09 11:08:36 +0300  Sebastian Dröge <sebastian@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Fix copying of action name
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7334>

2024-07-29 16:48:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.6

=== release 1.24.6 ===

2024-07-29 16:41:37 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.24.6

2023-10-23 20:12:29 +0300  Jordan Petridis <jordan@centricular.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate: Remove G_REGEX_OPTIMIZE usage
	  It's not needed and causes issues with valgrind (which doesn't support jit)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7113>

2024-06-20 13:02:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.5

=== release 1.24.5 ===

2024-06-20 12:54:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.24.5

2024-05-29 13:51:27 +0300  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.4

=== release 1.24.4 ===

2024-05-29 13:44:50 +0300  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.24.4

2024-04-30 00:36:59 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.3
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6772>

=== release 1.24.3 ===

2024-04-30 00:15:23 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.24.3

2024-04-16 13:11:02 +0100  Philippe Normand <philn@igalia.com>

	* debug-viewer/GstDebugViewer/Plugins/__init__.py:
	  debug-viewer: Fix plugin loading machinery
	  The previous code was failing at least with Python 3.11 and Python 3.12.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6678>

2024-04-10 00:04:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.2

=== release 1.24.2 ===

2024-04-09 21:48:55 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.24.2

2024-03-22 01:38:06 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.24.1 ===

2024-03-21 21:47:53 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.24.1

2024-03-05 13:45:27 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6264>

=== release 1.24.0 ===

2024-03-04 23:51:42 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.24.0

2024-02-26 09:27:40 +0100  Edward Hervey <edward@centricular.com>

	* RELEASE:
	  docs: Use Discourse and Matrix as prefered communication channels
	  Part of: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6220

=== release 1.23.90 ===

2024-02-23 18:20:11 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.23.90

2024-02-15 16:38:53 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6126>

=== release 1.23.2 ===

2024-02-15 15:37:17 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.23.2

2024-02-09 12:16:55 +0100  Jonas K Danielsson <jonas.danielsson@spiideo.com>

	* validate/launcher/testsuites/check.py:
	  check: Add valgrind leak exception for srt test
	  The srt unittest test_src_listener_sink_call will sometimes fail under
	  valgrind with the following splat:
	  Memcheck, a memory error detector
	  Copyright (C) 2002-2017, and GNU GPL'd, by Julian Seward et al.
	  Using Valgrind-3.18.1 and LibVEX; rerun with -h for copyright info
	  Parent PID: 14579
	  HEAP SUMMARY:
	  in use at exit: 799,848 bytes in 2,182 blocks
	  total heap usage: 64,090 allocs, 61,908 frees, 37,891,032 bytes allocated
	  120 bytes in 1 blocks are definitely lost in loss record 1,563 of 1,681
	  at 0x4842FF5: operator new(unsigned long) (vg_replace_malloc.c:422)
	  by 0x6031E29: srt::sync::SetThreadLocalError(CUDTException const&) (sync_posix.cpp:461)
	  by 0x5FCD77E: CUDT::epoll_wait(int, std::set<int, std::less<int>,
	  std::allocator<int> >*, std::set<int, std::less<int>,
	  std::allocator<int> >*, long, std::set<int, std::less<int>,
	  std::allocator<int> >*, std::set<int, std::less<int>, std::allocator<int> >*) [clone .cold] (api.cpp:3796)
	  by 0x5FE2F79: UDT::epoll_wait2(int, int*, int*, int*, int*, long, int*, int*, int*, int*) (api.cpp:4277)
	  by 0x5F0C626: gst_srt_object_read (gstsrtobject.c:1569)
	  by 0x5F0F978: gst_srt_src_fill (gstsrtsrc.c:180)
	  by 0x5F5A2A1: gst_base_src_default_create (gstbasesrc.c:1620)
	  by 0x5F5C9AE: gst_base_src_get_range (gstbasesrc.c:2630)
	  by 0x5F5EF5A: gst_base_src_loop (gstbasesrc.c:2959)
	  by 0x4918B13: gst_task_func (gsttask.c:399)
	  by 0x4A60B33: g_thread_pool_thread_proxy.lto_priv.0 (gthreadpool.c:354)
	  by 0x4A5DC41: g_thread_proxy (gthread.c:826)
	  by 0x4F532A4: start_thread (pthread_create.c:481)
	  by 0x4C71322: clone (clone.S:95)
	  An issue has been started against libsrt here:
	  https://github.com/Haivision/srt/issues/2867
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6098>

2023-12-18 15:39:07 -0500  Xavier Claessens <xavier.claessens@collabora.com>

	* validate/tests/check/validate/utilities.c:
	  structure: Allow STRICT flag only in _serialize_full()
	  The STRICT flag makes _serialize() nullable which is an API break for
	  bindings. Forbid it and add _serialize_full() that accepts it and is
	  properly annotated.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5829>

2024-02-06 18:09:02 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6066>

=== release 1.23.1 ===

2024-02-06 16:37:19 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.23.1

2024-01-04 13:43:20 +0000  Edward Hervey <edward@centricular.com>

	* debug-viewer/GstDebugViewer/Plugins/__init__.py:
	  gst-python: Fix override loading in python >= 3.12
	  The `imp` module got removed in python 3.12 and the `importlib` module should be
	  used instead.
	  This is also a good excuse to switch to the new finder module from PEP 451 :
	  https://www.python.org/dev/peps/pep-0451/
	  This only requires implement the `find_spec()` method in our custom loaders
	  Co-authored-by: Stefan <107316-stefan6419846@users.noreply.gitlab.freedesktop.org>
	  Co-authored-by: Jordan Petrids <jordan@centricular.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5633>

2024-01-19 07:48:00 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/flow/formatting.c:
	  validate: flow: Plug leak about ignored fields
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/899>

2024-01-28 11:15:01 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: bump Meson requirement to >= 1.1 for all modules
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6002>

2024-01-29 00:08:55 +0000  Tim-Philipp Müller <tim@centricular.com>

	* validate/launcher/testsuites/check.py:
	  validate: filter check.gst-editing-services.complex_effect_bin_desc
	  Add this check to the known issues list, fails way too often.
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/2973
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6003>

2024-01-23 17:34:24 +0100  Robert Mader <robert.mader@collabora.com>

	* validate/launcher/testsuites/check.py:
	  check: Add valgrind leak exception for glcolorconvert
	  The following commit will add a test triggering a leak in GLX / the
	  driver.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5948>

2020-02-26 10:19:19 +0900  ekwange <ekwange@gmail.com>

	* validate/launcher/testsuites/check.py:
	  validate: check: Fix known-not-leaky to work
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3940>

2020-02-26 10:18:58 +0900  ekwange <ekwange@gmail.com>

	* validate/launcher/apps/gstcheck.py:
	  validate: launcher: Fix typo
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3940>

2020-02-20 22:27:06 +0900  ekwange <ekwange@gmail.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	  validate: launcher: Add debug message and fix typo
	  Add messages to clearly see why test was excluded.
	  And fix typo prerrol
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3940>

2024-01-06 09:45:42 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: Do not use a NULL scenario description structure
	  The scenario meta is optional and we have to take that into account.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/3199
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5892>

2023-12-12 19:07:26 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: Add a 'forward-eos' parameter to `forward-appsink-to-appsrc`
	  There might be cases where the user doesn't want to forward it
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5803>

2023-12-12 18:28:52 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: Handle the case where execute_next_action is called with an action that is OK
	  It is now a valid case when running subaction in foreign scenarios
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5803>

2023-12-12 18:24:55 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-action-types.md:
	* validate/gst/validate/doc/meta-configs.md:
	* validate/gst/validate/doc/meta-expected-issues.md:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate: doc: Enhance the way we render action type parameters
	  And update gst-validate-action-types.md
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5803>

2023-12-12 18:10:23 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-internal.h:
	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: Do not print position on sub pipelines
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5803>

2023-12-12 14:59:32 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-action-types.md:
	* docs/gst-validate-test-file.md:
	* validate/gst/validate/doc/meta-configs.md:
	* validate/gst/validate/doc/meta-expected-issues.md:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/meson.build:
	* validate/gst/validate/validate.res:
	  validate: doc: Enhance documentation about testfile and `meta` fields
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5803>

2023-12-12 11:14:11 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: Ensure all pipelines with scenarios are stopped when exiting runner
	  Otherwise we end up with "dangling" sub pipelines on SIGINT
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5803>

2023-12-12 10:49:17 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-action-types.md:
	  validate: doc: Update action types documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5803>

2023-12-12 10:43:34 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: Cleanup the 'switch-track' action implementation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5803>

2023-12-12 10:42:32 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-test-file.md:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: Add a way to set pipeline base-time, start-time and force using the system clock
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5803>

2023-12-12 08:58:05 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/meson.build:
	* validate/tests/launcher_tests/appsink_forward.validatetest:
	* validate/tests/launcher_tests/appsink_forward/flow-expectations/log-selector-sink-sink-expected:
	* validate/tests/launcher_tests/appsink_forward/flow-expectations/log-source-sink-sink-expected:
	  validate: scenario: Add an action type to forward stream from an appsink to an appsrc
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5803>

2023-12-07 13:07:44 -0300  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	* validate/gst/validate/gst-validate-internal.h:
	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/tests/launcher_tests/multipipe.validatetest:
	  validate:scenario: Add a 'create-sub-pipeline' action type
	  And allow running parallel pipelines, scenarios, and pass data from
	  one to the other using appsrc/appsink
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5803>

2023-12-02 12:38:11 +0000  Philippe Normand <philn@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate: Fix memory leak in gst_validate_abort()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5757>

2023-07-11 13:37:34 +0900  ekwang.lee <ekwang.lee@lge.com>

	* docs/gst-validate-environment-variables.md:
	  docs: Add documentation for GST_VALIDATE_LAUNCHER_DEBUG
	  Add documentation for the environment variable GST_VALIDATE_LAUNCHER_DEBUG
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5009>

2023-07-11 13:07:03 +0900  ekwang.lee <ekwang.lee@lge.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Using surrogateescape error handler
	  Use surrogateescape error handler to convert undecodable bytes without error.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5008>

2023-11-23 15:50:08 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	* validate/tests/check/validate/utilities.c:
	  validate: Add support to replace variables in deeply nested structures
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5713>

2023-11-13 18:37:21 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: utils: Plug some leaks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5636>

2023-11-10 11:46:34 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/data/gstvalidate.supp:
	  fakevideodec: Add some tests
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5636>

2023-11-10 11:45:22 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: Add a 'fill-mode' to the `appsrc-push` action type
	  So the user doesn't need a file
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5636>

2023-08-21 10:43:28 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: Avoid reporting issue with SCENARIO_LOCK taken
	  This might lead to deadlock and is not needed here
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5666>

2023-08-09 09:15:17 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/utils.py:
	  validate: launcher: Lower some 'coredumpctl' info messages
	  Those are verbose and are not really useful in our context
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5666>

2023-07-31 08:32:04 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: Add a "select-streams" action type
	  This is a "non-blocking" action type which will send the `select-streams`
	  event when a `GST_STREAM_COLLECTION` message is received on the bus.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5666>

2023-07-31 08:31:22 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst-libs/gst/video/gstvalidatessim.c:
	  validate: ssim: Minor debug message enhancements
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5666>

2023-07-30 10:02:09 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate: launcher: Make the output markdown file more readable
	  Without ansi color codes and marking logs as such
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5666>

2023-07-21 09:04:54 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate: launcher: Keep gst debug logs in main log fails in debug mode
	  It makes reading the logs much simpler
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5666>

2023-07-21 09:02:58 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate: launcher: Add a way to specify the source to use for precise seeking tests
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5666>

2023-07-20 09:30:30 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: Add a way to wait for a property to reach a specified value
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5666>

2023-07-18 15:16:25 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: Add a way to accept suposdely invalid position reporting
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5666>

2023-10-25 13:39:04 +0300  Jordan Petridis <jordan@centricular.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	  launcher: Fix ambigious python strings
	  ```
	  gst-devtools/validate/launcher/baseclasses.py:2399: SyntaxWarning: invalid escape sequence '\.'
	  if re.findall("%s\..*\.%s$" % (re.escape(mfile_bname), self.FILE_EXTENSION), f):
	  gst-devtools/validate/launcher/apps/gstvalidate.py:1354: SyntaxWarning: invalid escape sequence '\.'
	  ("file\.transcode.*mxf",
	  ```
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5541>

2023-11-07 11:42:19 -0700  Jordan Yelloz <jordan.yelloz@collabora.com>

	* validate/launcher/baseclasses.py:
	  gst-validate: Fixed compatibility with Python 3.12
	  config.readfp() was removed in python 3.12 and config.read_file() does the same
	  thing and has been available since Python 3.2
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5624>

2023-10-20 14:46:23 -0400  Detlev Casanova <detlev.casanova@collabora.com>

	* validate/launcher/apps/gstcheck.py:
	  dev-tools: Add glib valgrind suppressions
	  The local glib subproject doesn't exist so the glib/glib.supp file
	  cannot be included.
	  As it is needed for the do_lookup_by_name() function call, let's add the
	  system wide suppression file so that its version matches the installed glib
	  version.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5434>

2023-09-25 16:11:57 +0100  Colin Kinloch <colin.kinloch@collabora.com>

	* debug-viewer/GstDebugViewer/GUI/window.py:
	  debug-viewer: Use GtkFileChooserNative to open logs
	  This provides flatpak document portal support
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5390>

2023-09-25 16:00:39 +0100  Colin Kinloch <colin.kinloch@collabora.com>

	* debug-viewer/GstDebugViewer/GUI/window.py:
	* debug-viewer/GstDebugViewer/Plugins/FindBar.py:
	  debug-viewer: Fix crash from unpacking NoneType objects
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5389>

2021-05-17 18:16:02 -0400  Doug Nazar <nazard@nazar.ca>

	* validate/gst/validate/validate.c:
	  validate: Don't clear global mutex
	  gst_validate_deinit() may be called multiple times and expects the
	  mutex to still be valid.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5539>

2021-05-17 18:14:03 -0400  Doug Nazar <nazard@nazar.ca>

	* validate/gst/validate/gst-validate-runner.c:
	  validate: Initialize mutex before use
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5539>

2022-04-06 12:56:30 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: Bump GLib requirement to >= 2.64
	  This includes fixes to make GstBus watches non-racy.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2126>

2023-09-28 19:16:37 +0200  Jordan Petridis <jordan@centricular.com>

	* validate/launcher/testsuites/check.py:
	  check: Move CI specific ignored tests  into their own list
	  Instead of ignoring the tests always, check if a CI env var is
	  present and only ignore the tests then.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1060>

2020-07-10 12:16:35 +0300  Jordan Petridis <jordan@centricular.com>

	* validate/launcher/testsuites/check.py:
	  ci: switch the Fedora base image to f34
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1060>

2023-09-05 13:40:51 +0200  Alicia Boya García <aboya@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate: Fix error on GstTest.copy()
	  Fixes regression introduced in ba61160d6c6a69104aa0f68370139d745af11484,
	  where running check tests with gst-validate-launcher -f would trigger
	  this exception:
	  AttributeError: 'GstCheckTest' object has no attribute 'reports'.
	  Did you mean: 'reporter'?
	  The member `reports` is meant to be just part of GstValidateTest, but
	  not other subclasses, even though a usage is still found in the base
	  class GstTest in the method test_end().
	  This patch introduces an override of the methods copy() and test_end()
	  in GstValidateTest so that `reports` is copied and cleared respectively,
	  but only for validate tests.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5281>

2023-08-14 15:36:16 +0200  Alicia Boya García <aboya@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/tests/check/validate/overrides.c:
	* validate/tests/check/validate/padmonitor.c:
	  gst-validate: Use fatal-criticals by default
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/2903
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5182>

2023-08-24 21:29:29 +0300  Sebastian Dröge <sebastian@centricular.com>

	* validate/tests/launcher_tests/simple_repeat/flow-expectations/log-sink-sink-expected:
	  video: Fix ordering of video formats in GST_VIDEO_FORMATS_ALL_STR
	  This now follows the algorithm again that is described in the
	  documentation and implemented in gstreamer-rs.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5243>

2023-08-15 16:01:28 +0200  Piotr Brzeziński <piotr@centricular.com>

	* validate/gst/validate/gst-validate-utils.c:
	  tools: Disable fault signal handlers in gst-launch/gst-validate on macOS
	  By default, macOS attempts to run lldb against a misbehaving process to handle the crash. This does not play well
	  with the SISEGV/SIGQUIT handler we add in gst-launch/gst-validate. The 'spinning' mechanism causes the lldb
	  and debugserver processes ran by macOS to misbehave, taking 100% CPU and rendering both themselves and the GStreamer
	  instance frozen and very hard to effectively kill. macOS's Activity Monitor is also unusable while this is happening.
	  This patch takes the quickest possible solution of just disabling those signal handlers entirely on macOS.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5190>

2023-08-11 18:30:41 +0200  Alicia Boya García <aboya@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate-launcher: Fix race condition on repeated tests
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/2900
	  The `reports` list was being copied as a reference, therefore, copies of
	  a test ended up inadvertedly sharing the same list of reports. Reports
	  added by one instance of the test would be reflected in all instances.
	  This caused a race condition where, if a test was run on repeat with
	  gst-validate-launcher -f, very often wrong log file was shown to the
	  user. For instance, gst-validate-launcher would say "test failed, see
	  log for iteration7", but iteration7 would contain "TEST PASSED".
	  Worse, the runner would add the report to that incorrect log file,
	  mixing problems between different executions of the tests.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5177>

2023-07-05 18:46:25 -0600  Olivier Crête <olivier.crete@collabora.com>

	* scripts/gen-changelog.py:
	  gst-omx: Retire the whole package
	  The OpenMAX standard is long dead and even the Raspberry Pi OS
	  no longer supports it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4976>

2023-07-12 14:57:28 -0600  Olivier Crête <olivier.crete@collabora.com>

	* debug-viewer/GstDebugViewer/Common/Main.py:
	  debug-viewer: Remove unnecessary call to gettext.bind_textdomain_codeset()
	  It has been deprecated in Python 3.8 and removed in 3.10
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5027>

2023-07-12 09:27:22 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* validate/tests/check/meson.build:
	  meson: Always use forward slashes in defines with paths
	  Fixes the following build failure on MSYS2:
	  ```
	  ../subprojects/gstreamer/tests/check/elements/filesrc.c: In function 'test_seeking':
	  ../subprojects/gstreamer/tests/check/elements/filesrc.c:107:53: error: incomplete universal character name \U
	  107 |   g_object_set (G_OBJECT (src), "location", TESTFILE, NULL);
	  |                                                     ^
	  ../subprojects/gstreamer/tests/check/elements/filesrc.c:107:53: warning: unknown escape sequence: '\A'
	  ../subprojects/gstreamer/tests/check/elements/filesrc.c:107:53: warning: unknown escape sequence: '\g'
	  ../subprojects/gstreamer/tests/check/elements/filesrc.c:107:53: warning: unknown escape sequence: '\s'
	  ../subprojects/gstreamer/tests/check/elements/filesrc.c:107:53: warning: unknown escape sequence: '\g'
	  ../subprojects/gstreamer/tests/check/elements/filesrc.c:107:53: warning: unknown escape sequence: '\c'
	  ```
	  Due to: `-DTESTFILE=\"C:\\Users\\Administrator\[...]`
	  https://gitlab.freedesktop.org/nirbheek/gstreamer/-/jobs/45317733
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5018>

2023-03-16 13:25:31 +0100  Stéphane Cerveau <scerveau@igalia.com>

	* validate/plugins/meson.build:
	  validate: disable plugins in static build
	  As the plugins can not be used in gstreamer-full,
	  disable the plugins.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4128>

2023-03-07 14:05:54 +0100  Stéphane Cerveau <scerveau@igalia.com>

	* validate/tests/meson.build:
	* validate/tools/meson.build:
	  gstreamer-full: add full static support
	  Allow a project to use gstreamer-full as a static library
	  and link to create a binary without dependencies.
	  Introduce the option 'gst-full-target-type' to
	  select the build type, dynamic(default) or static.
	  In gstreamer-full/static build configuration gstreamer (gst.c)
	  needs the symbol gst_init_static_plugins which is defined
	  in gstreamer-full.
	  All the tests and examples are linking with gstreamer but the
	  symbol gst_init_static_plugins is only defined in the gstreamer-full
	  library. gstreamer-full can not be built first as it needs to know what plugins
	  will be built.
	  One option would be to build all the examples and tests after
	  gstreamer-full as the tools.
	  Disable tools build in subprojects too as it will be built at the end of
	  build process.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4128>

2023-04-19 13:46:31 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-enums.h:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-utils.c:
	* validate/gst/validate/gst-validate-utils.h:
	  validate: Add a way to avoid checking property value after setting it
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4485>

2022-08-31 14:15:16 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/meson.build:
	  gir: Checkout all .gir files and check that they are updated on the CI
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3010>

2023-04-04 18:34:26 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/flow/formatting.c:
	* validate/gst/validate/flow/formatting.h:
	  validate: flow: Handle ignored fields for caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4341>

2023-03-24 15:00:43 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	  validate: scenario: Add a vmethod to free GstValidateActionParameter-s
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4265>

2023-03-15 18:58:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* validate/gst/validate/gst-validate-utils.c:
	* validate/gst/validate/media-descriptor-writer.c:
	  gst-devtools: re-indent with GNU indent 2.2.12
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4182>

2023-03-15 09:11:51 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* validate/gst/validate/flow/formatting.c:
	  gstbuffer: Add parent meta when a copy shares memory with parent
	  When copying a buffer, for example with gst_buffer_make_writable(), the
	  new buffer might reference the same GstMemory as the src buffer,
	  making those memories not writable. If the src buffer gets disposed
	  first it should return to its buffer pool, but since some of its
	  memories are not writable it gets discarded and new buffer/memory gets
	  allocated.
	  Solves this by making the new buffer keep a reference to the src buffer,
	  that ensures that by the time the src buffer gets disposed no other
	  buffer are referencing its memories and it can thus return safely to its
	  pool.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4176>

2023-03-13 11:37:45 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: Allow scenario to define the pipeline state target
	  Some user might want to start executing actions from the start.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4164>

2023-03-10 23:39:25 +0100  Alicia Boya García <ntrrgc@gmail.com>

	* tracer/gsttr-stats.py:
	  stats: Adapt to new serialization of enums
	  GStreamer 1.18 changed the serialization of enums.
	  This patch updates gsttr-stats.py to handle the new format.
	  In absence of that, the script was failing like this:
	  ```
	  Traceback (most recent call last):
	  File "/home/ntrrgc/Apps/gstreamer/./subprojects/gst-devtools/tracer/gsttr-stats.py", line 224, in <module>
	  runner.run()
	  File "/home/ntrrgc/Apps/gstreamer/subprojects/gst-devtools/tracer/tracer/analysis_runner.py", line 42, in run
	  self.handle_tracer_entry(event)
	  File "/home/ntrrgc/Apps/gstreamer/subprojects/gst-devtools/tracer/tracer/analysis_runner.py", line 27,
	  in handle_tracer_entry
	  analyzer.handle_tracer_entry(event)
	  File "/home/ntrrgc/Apps/gstreamer/./subprojects/gst-devtools/tracer/gsttr-stats.py", line 114, in handle_tracer_entry
	  key = (_SCOPE_RELATED_TO[sv.values['related-to']] + ":" + str(s.values[sk]))
	  KeyError: 'thread'
	  ```
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4155>

2023-03-01 00:56:51 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/validate.c:
	  validate: Protect init function with a recursive mutex
	  In tests in the rust bindings we end up with 2 thread initializing
	  concurrently, and it should not be a problem, -validate should be MT
	  safe.
	  Using a recursive mutex as we might recursively init for some reason
	  and we are not on the hot path here in any case.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4089>

2023-03-01 00:43:01 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: sink refs when building
	  Scenarios are no owned by anyone, even if they are GstObjects
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4089>

2023-02-15 22:06:39 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  tests: Move srtp test known issue def to the 'check' testuite
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3979>

2023-02-15 22:05:53 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: try to bne more explicit about where to add known failure
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3979>

2023-02-15 22:02:56 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Handle known return code issue in none validate based tests
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3979>

2023-02-15 20:51:29 +0100  Ruben Gonzalez <rgonzalez@fluendo.com>

	* docs/plugins/ssim.md:
	  validate:ssim: fix gst-validate tool name in the example
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3974>

2021-06-08 11:51:29 +0200  Fernando Jiménez Moreno <fjimenez@igalia.com>

	* docs/gst-validate-launcher.md:
	  docs: fix gst-validate-launch test suite example.
	  According to gst-validate-1.0 --list-scenarios, play_5s is not
	  a valid scenario. Runnning the test suite example with it
	  ends up raising an AttributeError. Switching to play_15s makes
	  it work.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3941>

2023-01-24 21:17:30 +0000  Tim-Philipp Müller <tim@centricular.com>

	* validate/gst-libs/gst/video/gstvalidatessim.c:
	* validate/gst/validate/gst-validate-media-info.c:
	* validate/gst/validate/gst-validate-override-registry.c:
	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-reporter.c:
	* validate/gst/validate/gst-validate-runner.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/media-descriptor-parser.c:
	* validate/gst/validate/media-descriptor-writer.c:
	* validate/gst/validate/media-descriptor.c:
	* validate/tests/check/validate/test-utils.c:
	  validate: drop use of GSlice allocator
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3784>

2023-02-01 18:37:30 +0000  Colin Kinloch <colin.kinloch@collabora.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: Allow Ctrl-C to quit on fault
	  Signed-off-by: Colin Kinloch <colin.kinloch@collabora.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3868>

2023-01-28 20:02:49 +0000  Tim-Philipp Müller <tim@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: fix g-i warning in annotation
	  gst-validate-scenario.c:2485: Warning: GstValidate: missing ":" at column 28:
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3841>

2023-01-27 13:49:33 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Fix gst_validate_execute_action annotation
	  The action passed in is transfer full
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3829>

2023-01-23 23:04:53 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3775>

=== release 1.22.0 ===

